Delete Phone Number
curl --request DELETE \
--url https://api.rapidcall.ai/api/phone-numbers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rapidcall.ai/api/phone-numbers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rapidcall.ai/api/phone-numbers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Phone Numbers
Delete Phone Number
Release a phone number
DELETE
/
api
/
phone-numbers
/
{id}
Delete Phone Number
string
required
The phone number ID. Example:
pn_abc123Request
curl -X DELETE https://api.rapidcall.ai/api/phone-numbers/pn_abc123 \
-H "Authorization: Bearer YOUR_TOKEN"
Response
{
"ok": true
}
This releases the number. For Twilio numbers, the number is returned to Twilio and may be purchased by someone else. Any active calls on this number will not be affected, but no new inbound calls will be routed.
